from employees import read_csv

# W tej wersji dane (sumę pensji i liczbę osoób) zbieramy do słowników, gdzie kluczami są nazwy jobów.
emps = read_csv('emps.csv')
ilosci = {}
sumy = {}

for emp in emps:
    if emp.job_title in sumy:
        sumy[emp.job_title] += emp.salary
        ilosci[emp.job_title] += 1
    else:
        sumy[emp.job_title] = emp.salary
        ilosci[emp.job_title] = 1

# print(sumy)
# print(ilosci)
for job in sumy.keys():
    suma = sumy[job]
    ilosc = ilosci[job]
    srednia = suma / ilosc
    print(f'| {job:32} | {ilosc:2} | {srednia:8.2f} |')
